<?php
/**
 * 2018-07-13 by 我是个导演
 * 欢迎访问支付宝论坛：https://openclub.alipay.com/index.php
 * 
 * APP支付 RSA2签名方法生成二维码版本
 */
//引入核心库文件
require_once  'phpqrcode/phpqrcode.php';
require_once 'AopSdk.php';
$aop = new AopClient ();
$aop->gatewayUrl = 'https://openapi.alipay.com/gateway.do';
$aop->appId = '填写您的appid';
$aop->rsaPrivateKey = '填写您的原始私钥';
$aop->alipayrsaPublicKey='填写您的支付宝公钥';
$aop->apiVersion = '1.0';
$aop->postCharset='utf-8';
$aop->format='json';
$aop->signType = 'RSA2';
//生成随机订单号
$date=date("YmdHis");
$arr=range(1000,9999);
shuffle($arr);
$request = new AlipayTradeAppPayRequest();
//异步地址传值方式
$request->setNotifyUrl("https://www.alipay.com");
$request->setBizContent("{\"out_trade_no\":\"".$date.$arr[0]."\",\"total_amount\":0.01,\"product_code\":\"QUICK_MSECURITY_PAY\",\"subject\":\"app测试\"}");
$result = $aop->sdkExecute($request);
//print_r(htmlspecialchars($result));
//定义纠错级别
$errorLevel = "L";
//定义生成图片宽度和高度;默认为3
$size = "3";
//调用QRcode类的静态方法png生成二维码图片//
QRcode::png($result, false, $errorLevel, $size);
//生成网址类型
$url="https://openclub.alipay.com/index.php";
$url.="\r\n";
QRcode::png($url, false, $errorLevel, $size);
?>